package cn.axzo.msg.center.notices.service.api;


import cn.axzo.msg.center.domain.entity.MNSMessageApp;
import cn.axzo.msg.center.notices.common.lang.Page;
import cn.axzo.msg.center.notices.manager.api.dto.request.plat.CreateTemplateRequestDto;
import cn.axzo.msg.center.notices.manager.api.dto.request.plat.QueryTemplateRequestDto;
import cn.axzo.msg.center.notices.manager.api.dto.response.plat.QueryTemplateResponseDto;

import java.util.List;

public interface PlatService {

    /*
     * 创建短信模板
     */
    void createTemplate(CreateTemplateRequestDto request);

    /**
     * 通过短信模板获取模板信息
     */
    QueryTemplateResponseDto getByTemplateNo(String templateNo);

    /**
     * 分页查询
     * @param request
     * @return
     */
    Page<QueryTemplateResponseDto> list(QueryTemplateRequestDto request);

    /*
     * 删除短信模板
     */
    void delete(String templateNo);

    List<MNSMessageApp> listAllApps();
}
